Update a key
This key management operation allows updating the key label or description fields.
Update a key
POST
https://my.ence.do/api/keymgmt/updateUpdate a key label and descr fields.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer JWT_TOKEN |
| Content-Type* | String | application/json |
Request Body
| Name | Type | Description |
|---|---|---|
kid* | String | Key ID, 32-character hex string |
label* | String | Label of a key |
descr | String | Base64 encoded additional description |
Response status code
- 200: Operation successful
- 400: Incorrect argument(s)
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Incorrect internal state
- 411: Protocol error - Content-Length required
- 412: Protocol error - CORS validation failed
- 413: Protocol error - request body too big
- 418: TLS connection required
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |
| LOG_TYPE_KEY_ATTRIBUTES_CHANGED | LOG_RESULT_ERROR | 400 |
| LOG_TYPE_KEY_ATTRIBUTES_CHANGED | LOG_RESULT_FAILED | 406 |
| LOG_TYPE_KEY_ATTRIBUTES_CHANGED | LOG_RESULT_OK | 200 |